[Mongrel] Mongrel service will not start on win32 w/ --prefix option

Guy Ridout ridoutspam at gmail.com
Tue Feb 6 08:40:06 EST 2007

Luis, I truly appreciate the quick reply and your eagerness to help. It's
refreshing to have software w/ service! Thank you.

I tried running the command you suggest:

C:\projects\rails-prod\wingate>ruby.exe c:\ruby\bin\mongrel_rails start -e
production -p 4001 -a -l log/mongrel.log -P log/mongrel.pid -c c
:/projects/rails-prod/wingate -t 0 -r public -n 1024 --prefix /wingate
INVALID COMMAND: invalid option: --prefix

It fails saying there is no --prefix option. Thinking maybe I don't have the
latest version, I did the following:

C:\projects\rails-prod\wingate>gem update mongrel_service
Updating installed gems...
Need to update 23 gems from http://gems.rubyforge.org
Attempting remote update of mongrel_service
Select which gem to install for your platform (i386-mswin32)
 1. mongrel_service 0.3.1 (mswin32)
 2. mongrel_service 0.1 (ruby)
 3. Cancel installation
> 1
Successfully installed mongrel_service-0.3.1-mswin32
Installing ri documentation for mongrel_service-0.3.1-mswin32...
Installing RDoc documentation for mongrel_service-0.3.1-mswin32...
Gems: [mongrel_service] updated

Following this update, the command fails with the same message. Any ideas?

Btw, I apologize if this post breaks the original thread. I'm a mailing list
newbie, and I didn't have my email settings correct, so there is nothing I
can reply to (assuming that is what I'm supposed to do!).

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://rubyforge.org/pipermail/mongrel-users/attachments/20070206/5ae55ee1/attachment-0001.html 

More information about the Mongrel-users mailing list